Name: libps
Version: 0.2.4
Release: alt1

Summary: Library for creating PostScript
License: LGPL
Group: System/Libraries
Url: http://pslib.sourceforge.net/
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: pslib-%version.tar.gz

# Automatically added by buildreq on Tue May 25 2004
BuildRequires: gcc-c++ gcc-g77 libpng-devel libstdc++-devel
BuildRequires: perl-XML-Parser zlib-devel

%description
This library allows to create PostScript files.

%package -n %name-devel
Summary: Libraries, includes, etc. to develop PostScript applications
Group: System/Libraries
Requires: %name = %version

%description -n %name-devel
Libraries, include files, etc you can use to develop PostScript applications.

%package -n %name-devel-static
Summary: Static libraries for libps
Group: System/Libraries
PreReq: %name-devel = %version-%release
License: GPL

%description -n %name-devel-static
This package contains development libraries required for packaging
statically linked libps-based software.

%prep
%setup -q -n pslib-%version

%build
%configure
%make_build

%install
%makeinstall

%post -n %name -p %post_ldconfig

%postun -n %name -p %postun_ldconfig

%files -n %name
%doc AUTHORS README doc data/*.ps
%_libdir/%name.so.*

%files -n %name-devel
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%files -n %name-devel-static
%_libdir/*.a

%changelog
* Thu Jul 22 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.4-alt1
- new version
- free gstate resource list
- create unique template names
- check for errors when registering a resource

* Sat Jul 17 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.3-alt1
- new version
- encoding of images can be hex or ascii85
- renamed PS_setoverprint() PS_setoverprintmode()
- support for graphic states (PS_create_gstate(), PS_set_gstate())
- support for shading patterns (PS_shading(), PS_shfill(), PS_shading_pattern())
- fixed bug when calling PS_save(), take over old gstate
- can now read jpeg images
- image data is being ascii85 encoded to reduce file size
- fixed bug in PS_fill_stroke(), invalid PostScript because of missing space

* Sun Jul 4 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.2-alt1
- new version

* Fri Jun 18 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.1-alt1
- 0.2.1
- many man page updates

* Tue Jun 8 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.0-alt1
- ps_fontenc_code() returns a '?' if the glyph could not be found
- fixed many errors in handling of font encoding
- replaced unsafe strcpy() by strncpy() and enlarged buffers in  ps_afm.c
- fixed man pages
- fixed first line of postscript document

* Tue May 25 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.1.15-alt1
- First version of RPM package

